# Uncover
## Description
This repository is based on the software docker container which is used to deploy all the necessary to use OPAL environment.
## Installation
### Docker
1. **Update the apt package**

        $ sudo apt-get update
        $ sudo apt-get install apt-transport-https ca-certificates curl gnupg-agent software-properties-common
2. **Add Docker’s official GPG key**

        $ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
3. **Set up the stable repository**

        $ sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"
4. **Install docker engine**

        $ sudo apt-get update
        $ sudo apt-get install docker-ce docker-ce-cli containerd.io
### Docker Compose
1. **Run this command to download the current stable release of Docker Compose:**

        $ sudo curl -L "https://github.com/docker/compose/releases/download/1.28.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
2. **Apply executable permissions to the binary:**

        $ sudo chmod +x /usr/local/bin/docker-compose
3. **Install for all the users**

        $ sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose        
4. **Test installation**

        $ docker-compose --version
### Uncover containers
1. **Download the repository in a folder**
    
        $ mkdir /path/to/download/repository; 
        $ cd /path/to/download/repository
        $ git clone https://medal.ctb.upm.es/internal/gitlab/uncover/docker_hospital.git
2. **Configure the different environment variables**
        
        $ vi .env
    or 
        
        $ nano .env
3. **Run the environment of docker containers**

        $ docker-compose up
4. **Go to OPAL website**
The port of the url depends of your own configuration, default is 8880:

        $ http://localhost:8880